# Interface methods for submodule: InverseDeconvolutionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FFTConvolutionImageFilterProxy as _FFTConvolutionImageFilterProxy


# Interface methods for class: InverseDeconvolutionImageFilter
class InverseDeconvolutionImageFilterProxy(_FFTConvolutionImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetKernelZeroMagnitudeThreshold(self, _arg: float) -> None:
		""""""
		...

	def GetKernelZeroMagnitudeThreshold(self) -> float:
		""""""
		...

